@charset "UTF-8";
/* ==========================
common
==========================*/
:root {
    --primary-white: #F5F7F8;
    --primary-whiteY: #FFFDF5;
    --primary-black: #272833;
    --primary-blue: #0079B5;
    --primary-65pblue:#53A5CD;
    --primary-40pblue: #99C5DC;
    --primary-10pblue: #E5ECF0;
    --primary-navy: #235;
    --primary-yellow: #F2D200;
    --contentWidthTop: min(88.8%, 1280px);
    --contentWidth: min(83.3%, 1280px);
    --contentWidthSP:91.8%;
}
html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}
body {
    font-family: 'Noto Sans JP', Arial, sans-serif;
    font-weight: 400;
    font-size: 1.6rem;
    font-style: normal;
    color: var(--primary-black, #272833);
    background-color: var(--primary-white, #F5F7F8);
    line-height: 1.5;
}
img {
    max-width: 100%;
    height: auto;
}
main {
    position:relative;
}
.container {
    overflow: hidden;
}
@media screen and (min-width: 769px) {
    .address a[href^="tel:"] {
        pointer-events: none;
    }
}
.section__topic {
    text-align: center;
    font-family: Montserrat;
    font-size: 6.0rem;
    font-weight: 600;
    line-height: 1; /* 60px */
    letter-spacing: 6px;
}
.section__topic span:nth-child(2) {
    color: var(--primary-yellow, #F2D200);
}
.section__jptopic {
    text-align: center;
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1; /* 24px */
    letter-spacing: 2.4px;
    margin-top: 5px;
}
.title__txt {
    text-align: center;
    font-size: 2rem;
    line-height: 1.5; 
    letter-spacing: 0.6px;
}
.section--sub__title {
    width: var(--contentWidth);
    margin: 100px auto 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.section--sub__title h2 {
    text-align: center;
    font-family: Montserrat;
    font-size: 4rem;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 2px;
    margin: 0;
    padding: 0;
}
.section--sub__title p {
    text-align: center;
    font-size: 1.8rem;
    margin: 0;
    padding: 0;
}
.section--sub__title::before{
    content: '';
    display:  block;
    background-image: url(../img/subtitle_left.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 100px;
    height: 50px;
}
.section--sub__title::after{
    content: '';
    display:  block;
    background-image: url(../img/subtitle_right.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 100px;
    height: 50px;
}
.sub__title__group {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.btn {
    cursor: pointer;
    transition: .3s ease;
}
.notosans {
    font-family: 'Noto Sans JP', Arial, sans-serif;
}
.montserrat {
    font-family: Montserrat;
}
.futo700 {
    font-weight: 700;
}
.brSP {
    display: none;
}
.brSP-xs {
    display: none;
}
.pc {
    display: block;
}
@media screen and (max-width: 768px) {
    .pc {
        display: none;
    }
}
.sp {
    display: none;
}
@media screen and (max-width: 768px) {
    .sp {
        display: block;
    }
}
/* 1100px */
@media screen and (max-width: 1100px) {
    .section__topic {
        font-size: 4rem;
        font-weight: 600;
        letter-spacing: 4px;
    }
    .section__jptopic {
        font-size: 2rem;
        font-weight: 500;
        line-height: 1.3;
        letter-spacing: 1.5px;
    }
    .title__txt {
        text-align: center;
        font-size: 1.8rem;
        line-height: 1.5; 
        letter-spacing: 0.6px;
    }
    .section--sub__title h2 {
        font-size: 3.6rem;
        letter-spacing: 1.8px;
    }
}
@media screen and (max-width: 768px) {
    .title__txt {
        font-size: 1.6rem;
        letter-spacing: 0.48px;
    }
    .section--sub__title h2 {
        font-size: 2.8rem;
        letter-spacing: 1.4px;
    }
    .section--sub__title p {
        font-size: 1.6rem;
    }
    .section--sub__title::before,
    .section--sub__title::after{
        width: 60px;
        height: 30px;
    }
    .section--sub__title {
        width: var(--contentWidthSP);
        margin: 60px auto 0;
        gap: 10px;
    }
    .brSP {
        display:block;
    }
}
@media screen and (max-width: 500px) {
    .brSP-xs {
        display: block;
    }
}
/* =============
main
============ */
/* header */
.header__title a {
    opacity: 1;
    transition: .3s ease;
}
.lang__list {
    display: flex;
    gap: 5px;
    font-family: Montserrat;
    font-size: 2.0rem;
    line-height: 1; 
}
.lang__list a.active {
    font-weight: 600;
}
.lang__item::after{
 content: '|';
 display:  inline;
 margin-left: 5px;
}
.lang__item:last-of-type:after{
    display:  none;
}
@media (any-hover: hover) {
    .header__title a:hover {
        opacity: 0.8;
        transition: .3s ease;
    }
    .lang__item a:hover {
        color: var(--primary-yellow);
        transition: color .4s ease;
    }
}
.header__lang {
    margin-left: auto;
}

/* 768px */
@media screen and (max-width: 768px) {
    .header__title img{
        max-width: 240px;
        aspect-ratio: 20/3;
    }
    .language__switcher {
        display: none;
    }
}
/* navigation */
.overlay {
    position: fixed;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(34, 51, 85, 0.5);
    opacity: 0;
    visibility: hidden;
    z-index: 99;
    transition: opacity .7s ease-in-out;
}
.overlay.show {
    opacity: 1;
    visibility: visible;
}
.navigation {
    width: 50vw;
    min-width: 768px;
    height: 100vh;
    background-color: var(--primary-65pblue);
    position: fixed;
    top: 0;
    right: 0;
    z-index: 100;
    transform: translateX(150%);
    display: flex;
    flex-direction: column;
    transition: .6s ease-in-out;
}
.navigation.active {
    transform: translateX(0);
}

.nav__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px 24px 0 24px;
}
.nav__close {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 171px;
    height: 70px;
    background-color: var(--primary-black);
    border-radius: 20px;
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 500;
    line-height: 1; /* 20px */
    letter-spacing: 2px;
}
@media (any-hover: hover) {
    .nav__close:hover {
        background-color: var(--primary-navy);
        transition: background-color .4s ease;
    }
}
.nav__logo img{
    width: 85%;
    max-width: 320px;
    aspect-ratio: 20/3;
}
.nav__logo a {
    opacity: 1;
    transition: .3s ease;
}

@media (any-hover: hover) {
    .nav__logo a:hover {
        opacity: 0.8;
        transition: .3s ease;
    }
}
.nav__close span:nth-child(2),
.reserve__btn--title span:nth-child(2) {
    color: var(--primary-yellow, #F2D200);
}
.nav__close__btn {
    display: block;
    width: 40px;
    height: 40px;
    margin-left: 10px;
}
.nav__menu {
    position: relative;
    width: 69.4%;
    max-width: 650px;
    min-width: 330px;
    margin: 85px auto 0;
}
.nav__list {
    padding: 40px 20px 40px 60px;
    background-color: var(--primary-whiteY);
    border-radius: 20px;
    display: grid;
    list-style: none;
    grid-auto-flow: column;
    grid-template-rows: repeat(5, auto);
    grid-template-columns: repeat(2, 1fr);
    gap: 16px 10%;
    font-weight: 500;
}
@media (any-hover: hover) {
    .nav__item:hover {
        color: var(--primary-yellow);
        transition: color .3s ease;
    }
}
.nav__star--l, .nav__star--r {
    position: absolute;
    width: 15%;
    max-width: 85px;
    min-width: 70px;
}
.nav__star--l {
    top: -25px;
    left: -3.2%;
}
.nav__star--r {
    bottom: -16px;
    right: -2.6%;
}
.nav__blog {
    position: relative;
    margin: 80px auto 0;
}
.nav--btn__fukidashi {
    width: 150px;
    aspect-ratio: 146/57;
    position: absolute;
    left: -55px;
    top: -40px;
    transform: translateX(10%) translateY(25%);
    opacity: 0;
    visibility: hidden;
    transition: .4s ease;
    z-index: 2;
}
@media (any-hover: hover) {
    .nav__blog:hover .nav--btn__fukidashi {
        opacity: 1;
        visibility: visible;
        transform: translateX(0) translateY(0);
        transition: .4s ease;
    }
}
.nav__blog__btn {
    border: 3px solid var(--primary-yellow);
    border-radius: 15px;
    padding: 2px;
    box-sizing: border-box;
}
.nav__blog__btn--content {
    background-color: var(--primary-yellow);
    display: flex;
    align-items: center;
    padding: 15px 50px;
    gap: 16px;
    border-radius: 10px;
}
.nav__blog__btn--content p {
    color: var(--primary-black, #272833);
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: 0.54px;
}
.nav__blog__btn--content img {
    width: 40px;
    height: 40px;
}
.nav__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
    position: relative;
}
.nav__sns {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    margin-left: 30px;
}
.sns__icon {
    width: 40px;
    height: 40px;
    background-color: var(--primary-black);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.sns__icon--insta {
    display: inline-block;
    color: white;
    font-size: 2.5rem;
    line-height: 1;
    transition: .3s ease;
}
.sns__icon--x {
    display: inline-block;
    color: white;
    font-size: 2.5rem;
    line-height: 1;
    transition: .3s ease;
}

@media (any-hover: hover) {
    .nav__sns a:hover .sns__icon,
    .footer__sns a:hover .sns__icon {
        background-color: var(--primary-yellow);
        transition: background-color .3s ease;
    }
    .hero__sns a:hover .sns__icon {
        background-color: var(--primary-blue);
        transition: background-color .3s ease;
    }
    .nav__sns a:hover .sns__icon--insta,
    .nav__sns a:hover .sns__icon--x,
    .footer__sns a:hover .sns__icon--insta,
    .footer__sns a:hover .sns__icon--x {
        color: var(--primary-black);
        transition: .3s ease;
    }
}
.nav__stamp {
    position: absolute;
    width: 610px;
    aspect-ratio: 1/1;
    transform: rotate(14deg);
    opacity: 0.4;
    z-index: -1;
    top: -200px;
    left: 40%;
}
.hamburger {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 171px;
    height: 70px;
    background-color: var(--primary-black);
    border-radius: 20px;
    position: fixed;
    top: 20px;
    right: 24px;
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 500;
    line-height: 1; /* 20px */
    letter-spacing: 2px;
    z-index: 50;
}
@media (any-hover: hover) {
    .hamburger:hover {
        background-color: var(--primary-navy);
        transition: background-color .4s ease;
    }
}
@media screen and (min-width: 1500px) {
    .hamburger {
        right: calc(50vw - 640px);
    }
}

.hamburger span:nth-child(2) {
    color: var(--primary-yellow, #F2D200);
}
.hamburger img {
    display: block;
    width: 40px;
    height: 40px;
    margin-left: 10px;
}
.reserve__btn {
    position: fixed;
    bottom: 5vh;
    right: 3vw;
    width: 160px;
    height: 160px;
    border-radius: 50%;
    z-index: 100;
    display: flex;
    padding-top: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.reserve__btn--circle {
    position: absolute;
    inset: 0;
    z-index: -1;
}
@media (any-hover: hover) {
    .reserve__btn:hover .reserve__btn--circle {
        animation: spin 2s  ease infinite;
        transform-origin: center;
    }
}
@media screen and (min-width: 1600px) {
    .reserve__btn {
        right: calc(50vw - 640px);
    }
}
@keyframes spin {
    0%{
        transform: rotate(0deg);
    }
    20%, 100% {
        transform: rotate(360deg);
    }
}
.cls-1, .cls-2 {
    transition: fill .3s ease;
}
@media (any-hover: hover) {
    .reserve__btn:hover .cls-1 {
        fill: var(--primary-yellow);
        transition: fill .3s ease;
    }
    .reserve__btn:hover .cls-3 {
        fill: var(--primary-navy);
        transition: fill .3s ease;
    }
}
.reserve__btn--title {
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 2.0rem;
    font-weight: 500;
    line-height: 1; /* 24px */
    letter-spacing: 2.4px;
    transition: color .1s ease;
}
.reserve__btn--jp {
    color: #FFF;
    text-align: center;
    font-size: 1.6rem;
    font-weight: 500;
    line-height: 1; 
    margin-top: 16px;
    transition: color .1s ease;
}
/* 768px */
@media screen and (max-width: 768px) {
    .hamburger span {
        display: none;
    }
    .hamburger img {
        width: 30px;
        height: 30px;
        padding: 0;
        margin-left: 0;
    }
    .hamburger {
        width: 50px;
        height: 50px;
        border-radius: 15px;
        top: 26px;
        right: 16px;
    }
    .nav__header {
        padding: 24px 16px 0 16px;
    }
    .nav__logo img{
        width: 85%;
        max-width: 240px;
        aspect-ratio: 20/3;
    }
    .nav__close {
        width: 50px;
        height: 50px;
        border-radius: 15px;
    }
    .nav__close span {
        display: none;
    }
    .nav__close__btn {
        margin-left: 0;
        width: 30px;
        height: 30px;
    }
    .navigation {
        width: 100%;
        min-width: auto;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding-bottom: 100px;
    }
    .nav__menu {
        margin: 20px auto 0;
        min-width: 280px;
    }
    .nav__list {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 30px 60px;
        gap: 16px;
    }
    .nav__item {
        font-size: 1.4rem;
    }
    .nav__blog {
        margin: 50px auto 0;
    }
    .nav--btn__fukidashi {
        width: 120px;
        visibility: visible;
        transform: translateX(0) translateY(0);
        opacity: 1;
        top: -35px;
        left: -30px;
    }
    .nav__blog__btn--content img {
        width: 30px;
        height: 30px;
    }
    .nav__btn {
        margin-top: 20px;
    }
    .nav__blog__btn--content {
        padding: 10px 30px;
    }
    .nav__blog__btn--content p {
        font-size: 1.4rem;
    }
    .nav__sns svg {
        width: 40px;
    }
    .reserve__btn {
        width: 105px;
        height: 105px;
        opacity: 1;
        transition: opacity .3s ease;
    }
    .reserve__btn.transparent {
        opacity: 0;
        transition: opacity 1s ease;
        transition-delay: 0.5s;
    }
    .reserve__btn--title {
        font-size: 1.4rem;
        letter-spacing: 1px;
    }
    .reserve__btn--jp {
        font-size: 1.4rem;
        letter-spacing: 1.4px;
        margin-top: 10px;
    }
}
/* sub-header */
.header--sub {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: space-between;
    background-color: var(--primary-blue);
    background-image: url(../img/headersub_pc.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right 20% bottom;
}
.header__title--sub {
    width: min(100%, 1440px);
    margin-inline: auto;
    opacity: 1;
    transition: .3s ease;
}
.header__title--sub img {
    width: clamp(250px, 23%, 320px);
    aspect-ratio: 20/3;
    margin: 30px 0 0 24px;
}
@media (any-hover: hover) {
    .header__title--sub a:hover {
        opacity: 0.8;
        transition: .3s ease;
    }
}
.sub-title__group {
    padding: 50px 37px;
    border-radius: 10px;
    text-align: center;
    background-color: var(--primary-whiteY);
    box-shadow: 0 0 0 3px var(--primary-blue), 0 0 0 10px var(--primary-whiteY);
    margin: 20px auto 40px;
    box-sizing: border-box;
    z-index: 2;
}
.sub-title__entitle {
    text-align: center;
    -webkit-text-stroke-width: 3px;
    -webkit-text-stroke-color: var(--primary-black, #272833);
    paint-order: stroke;
    font-family: Montserrat;
    font-size: 5rem;
    font-weight: 600;
    line-height: 1; /* 50px */
    letter-spacing: 7.5px;
}
.sub-title__entitle span:nth-child(2){
    color: var(--primary-yellow);
}
.sub-title__jptitle {
    color: var(--blue, #0079B5);
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1; /* 24px */
    letter-spacing: 2.4px;
    margin-top: 16px;
}
.breadcrumb {
    width: var(--contentWidth);
    margin-inline: auto;
}
.breadcrumb ol{
    display: flex;
    padding: 0 0 10px 0;
}
.breadcrumb li {
    color: white;
    font-family: Montserrat;
    font-size: 1.2rem;
    font-weight: 500;
    line-height: 1.5; /* 18px */
    z-index: 2;
}
.breadcrumb li::after {
    content: "/";
    margin: 0 10px;
}
.breadcrumb li:last-child::after {
    content: none
}
.breadcrumb a {
    text-decoration: underline;
    text-underline-offset: 3px;
    color: white;
    transition: color .3s ease;
}
@media (any-hover: hover) {
    .breadcrumb a:hover {
        color: var(--primary-yellow);
    }
}
.reserve__btn--sub {
    width: 60px;
    background-color: var(--primary-blue);
    padding: 20px 10px;
    box-shadow: 0 0 0 3px white, 0 0 0 5px var(--primary-blue);
    border-radius: 10px 0 0 10px;
    position: fixed;
    z-index: 100;
    top: 60%;
    right: 0;
    transition: all .4s ease;
}
.reserve__btn--sub p {
    color: #FFF;
    text-align: center;
    font-weight: 500;
    line-height: 1.3; /* 20.8px */
    letter-spacing: 3.2px;
    writing-mode: vertical-rl;
    text-orientation: upright;
    margin: 0 auto;
    transition: color .4s ease;
}
.reserve__btn--sub svg {
    color: var(--primary-yellow);
    display: block;
    width: 40px;
    height: 40px;
    margin-top: 16px;
}
@media (any-hover: hover) {
    .reserve__btn--sub:hover {
        background-color: var(--primary-navy);
        box-shadow: 0 0 0 3px white, 0 0 0 5px var(--primary-navy);
        transition: all .4s ease;
    }
}
/* 1000px */
@media screen and (max-width: 1000px) {
    .sub-title__group {
        padding: 40px 27px;
    }
    .sub-title__entitle {
        text-align: center;
        -webkit-text-stroke-width: 2.5px;
        -webkit-text-stroke-color: var(--primary-black, #272833);
        paint-order: stroke;
        font-size: 4rem;
        letter-spacing: 6px;
    }
    .sub-title__jptitle {
        font-size: 2rem;
        letter-spacing: 2px;
    }
}
/* 768px */
@media screen and (max-width: 768px) {
    .header--sub {
        background-image: none;
        position: relative;
    }
    .header--sub::after {
        content: "";
        position: absolute;
        bottom: 0;
        right: 0;
        height: 50%;
        width: 100%;
        background-image: url(../img/headersub_pc.png);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: right 10% bottom;
        z-index: 1;
    }
    .header__title--sub img {
        width: 23%;
        min-width: 240px;
        aspect-ratio: 20/3;
        margin: 30px 0 0 2.3%;
    }
    .sub-title__group {
        padding: 30px 0;
        width: 100vw;
        border-radius: 0;
        background-color: var(--primary-whiteY);
        box-shadow: 0 0 0 3px var(--primary-blue), 0 0 0 10px var(--primary-whiteY);
        margin: 60px auto 100px;
        box-sizing: border-box;
    }
    .sub-title__entitle {
        text-align: center;
        -webkit-text-stroke-width: 2.5px;
        -webkit-text-stroke-color: var(--primary-black, #272833);
        paint-order: stroke;
        font-size: 3.6rem;
        letter-spacing: 3.6px;
        padding: 0 10px;
    }
    .sub-title__jptitle {
        font-size: 1.6rem;
        font-weight: 400;
        letter-spacing: 0.48px;
        margin-top: 10px;
    }
    .breadcrumb ol{
        display: none;
    }
    .reserve__btn--sub {
        width: 40px;
        padding: 16px 7px;
    }
    .reserve__btn--sub p {
        font-size: 1.4rem;
        letter-spacing: 2.8px;
        margin: 0 auto;
    }
    .reserve__btn--sub svg {
        width: 26px;
        height: 26px;
        margin-top: 8px;
    }
}
/* 425px */
@media screen and (max-width: 500px) {
    .sub-title__entitle--facility {
        font-size: 2.9rem;
    }
}
/* topics_item */
.topics__item {
    border-radius: 20px;
    background-color: white;
    width: 31%;
    /* height: stretch; */
}
.topics__item a {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
}
.topics__img {
    overflow: hidden;
    border-radius: 20px 20px 0 0;
    position: relative;
}
.topics__img img {
    aspect-ratio: 92/57;
    width: 100%;
    border-radius: 20px 20px 0 0;
    object-fit: cover;
    transition: .5s ease;
}
.topics__img::before {
    content: "";
    background-color: rgba(255, 255, 255, 0.2);
    width: 100%;
    height: 100%;
    position: absolute;
    opacity: 0;
    z-index: 2;
    transition: .3s ease;
}
.topics__detail {
    padding: 16px;
    border-radius: 0 0 20px 20px;
    /* display: flex; */
    /* flex-direction: column; */
    flex: 1;
}
.topics__date {
    font-family: Montserrat;
    font-size: 1.4rem;
    line-height: 1; /* 21px */
    letter-spacing: 0.7px;
    margin-bottom: 10px;
}
.topics__detail--flex {
    display: flex;
    flex-wrap: wrap;
    margin-top: 10px;
    gap: 5px;
}
.topics__category {
    display: inline-block;
    text-align: center;
    font-size: 1.2rem;
    font-weight: 700;
    line-height: 1; /* 14px */
    padding: 5px 12px 3px;
    text-align: center;
    border-radius: 30px;
    align-self: flex-start;
}
.topicsPage__title {
    margin-top: 10px;
    overflow: hidden;
    display: -webkit-box;        /* Flexboxの特殊形 */
    -webkit-box-orient: vertical; /* 縦方向に並べる */
    -webkit-line-clamp: 2;       /* 最大2行 */
    line-clamp: 2;               /* 最大2行 */
    text-overflow: ellipsis;     
    white-space: normal;         /* 折り返しを許可 */
    font-weight: 500;
    font-size: 1.6rem;
    line-height: 1.5; 
    transition: .3s ease;
}
.topics__category.cat-news {
    background-color: var(--primary-navy);
    color: white;
}
.topics__category.cat-event {
    background-color: var(--primary-blue);
    color: white;
}
.topics__category.cat-blog {
    background-color: var(--primary-yellow);
    color: var(--primary-black);
}
/* カテゴリーが増えた時用の配色 */
.topics__category.category1 {
    background-color: #7BB661;
    color: white;
}
.topics__category.category2 {
    background-color: #D95B4C;
    color: white;
}
.topics__category.category3 {
    background-color: #F5A3B5;
    color: var(--primary-black);
}
@media (any-hover: hover) {
    .topics__item a:hover .topics__img img {
        transform: scale(1.05);
        transition: .3s ease;
    }
    .topics__item a:hover .topics__img::before {
        opacity: 1;
        transition: .3s ease;
    }
    .topics__item:hover .topicsPage__title{
        color: var(--primary-blue);
        transition: .3s ease;
    }
}
/* camp__btn */
.camp__reservebtn {
    display: block;
    width: 69.1%;
    max-width: 1200px;
    margin: 100px auto 0;
}
.camp__reservebtn__container {
    background-color: var(--primary-yellow);
    border-radius: 20px;
    padding: 30px 5% 30px 23%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    overflow: hidden;
    transition: all .3s ease;
}
.camp__reservebtn__container::before {
    content: "";
    display: block;
    width: 25%;
    height: auto;
    aspect-ratio: 1/1;
    background-image: url(../img/stamp_black.svg);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    bottom: -30%;
    left: -2%;
}
.camp__reservebtn__container h3 {
    -webkit-text-stroke-width: 3.5px;
    -webkit-text-stroke-color: #FFF;
    paint-order: stroke;
    font-size: 3.6rem;
    font-weight: 500;
    letter-spacing: 1.8px;
    z-index: 1;
}
.camp__reservebtn__container :nth-last-of-type(2) {
    margin-top: 5px;
}
.camp__reservebtn__wo {
    font-size: 3.2rem;
}
.camp__reservebtn__detail {
    font-size: 2rem;
    font-weight: 500;
}
.camp__reservebtn__notes {
    font-size: 1.2rem;
    font-weight: 400;
}
.blackarrow--naname {
    width: 80px;
    height: 80px;
    transform: rotate(-45deg);
}
@media (any-hover: hover) {
    .camp__reservebtn:hover .camp__reservebtn__container {
        background-color: var(--primary-40pblue);
        color: var(--primary-navy);
        transition: all .3s ease;
    }
}
/* camp__btn min1600px */
@media screen and (min-width: 1700px) {
    .camp__reservebtn__container::before {
        bottom: inherit;
        left: -2%;
    }
}
/* camp__btn 1100px */
@media screen and (max-width: 1100px) {
    .camp__reservebtn {
        width: var(--contentWidth);
    }
    .camp__reservebtn__container {
        padding: 30px 5% 30px 18%;
    }
    .camp__reservebtn__container::before {
        width: 20%;
        bottom: -20%;
        left: -2%;
    }
    .camp__reservebtn__container h3 {
        font-size: 3rem;
        letter-spacing: 1.5px;
    }
    .camp__reservebtn__wo {
        font-size: 2.6rem;
    }
}
/* camp__btn 768px */
@media screen and (max-width: 768px) {
    .camp__reservebtn {
        /* width: var(--contentWidthSP); */
        width: clamp(280px, var(--contentWidthSP), 380px);
        margin: 30px auto 0;
    }
    .camp__reservebtn__container {
        flex-direction: column;
        gap: 20px;
        padding: 30px 20px;
    }
    .camp__reservebtn__container::before {
        width: 40%;
        height: auto;
        bottom: -10%;
        left: -5%;
    }
    .camp__reservebtn__container h3 {
        -webkit-text-stroke-width: 3px;
        paint-order: stroke;
        font-size: 2.4rem;
        letter-spacing: 1.2px;
    }
    .camp__reservebtn__container :nth-last-of-type(2) {
        margin-top: 10px;
    }
    .camp__reservebtn__detail {
        font-size: 1.6rem;
        font-weight: 500;
        text-align: center;
    }
    .blackarrow--naname {
        width: 60px;
        height: 60px;
        transform: rotate(-45deg);
    }
}

/* 3列relatedbtn */
.section--relatedbtn {
    position: relative;
}
.relatedbtn__btn {
    display: flex;
    width: min(73.8%, 1280px);
    margin: 0 auto;
    padding: 20px 0 80px;
    justify-content: space-between;
    align-items: center;
}
.relatedbtn__btn li {
    width: 28.2%;
    min-width: 240px;
    border: 5px solid var(--primary-blue);
    background: var(--primary-whiteY);
    border-radius: 20px;
    transition: all .3s ease;
    box-sizing: content-box;
}
.relatedbtn__btn4 {
    display: flex;
    width: var(--contentWidth);
    margin: 0 auto;
    padding: 50px 0 80px;
    justify-content: space-between;
    align-items: center;
}
.relatedbtn__btn4 li {
    width: 23%;
    min-width: 236px;
    border: 5px solid var(--primary-blue);
    background: var(--primary-whiteY);
    border-radius: 20px;
    transition: all .3s ease;
    box-sizing: content-box;
}
.relatedbtn__item {
    padding: 10px !important;
    text-align: center;
    display: block;
}
.relatedbtn__icon {
    width: 65px;
    height: 65px;
    background-size: contain;
    display: block;
    margin: 0 auto;
    flex-shrink: 0;
}
.relatedbtn__txt {
    text-align: center;
    font-size: 1.6rem;
    font-weight: 500;
    margin-top: 20px;
}
.relatedbtn__title {
    text-align: center;
    font-size: 2rem;
    font-weight: 500;
    margin-top: 5px;
}
.relatedbtn__topics {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 16px;
    justify-content: center;
}
.relatedbtn__en {
    color: var(--primary-blue, #0079B5);
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 500;
    line-height: 2;
}
.relatedbtn__topics svg {
    display: block;
    width: 40px;
    height: 40px;
    background-size: cover;
    color:var(--primary-blue);
    transition: color .3s ease;
}
.related__icon {
    color: var(--primary-blue);
}
.relatedbtn__icon--arrow {
    width: 30px;
    height: 30px;
    background-color: var(--primary-blue);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .3s ease;
}
.related__icon--arrow {
    color: white;
}
@media (any-hover: hover) {
    .relatedbtn__btn li:hover,
    .relatedbtn__btn4 li:hover{
        background-color: var(--primary-65pblue);
        border: 5px solid var(--primary-65pblue);
        transition: all .3s ease;
    }
    .relatedbtn__btn li:hover p,
    .relatedbtn__btn li:hover .related__icon,
    .relatedbtn__btn4 li:hover p,
    .relatedbtn__btn4 li:hover .related__icon{
        color: var(--primary-navy);
        transition: color .3s ease;
    }
    .relatedbtn__btn li:hover .relatedbtn__icon--arrow,
    .relatedbtn__btn4 li:hover .relatedbtn__icon--arrow {
        background-color: var(--primary-navy);
        transition: all .3s ease;
    }
}
.attention {
    position: relative;
    display: inline-block;
    padding: 0 8px;
    margin-bottom: 0;
}
.attention::before {
    position: absolute;
    left: 0;
    bottom: 0;
    content: "";
    width: 1px;
    height: 50%;
    background-color: var(--primary-black);
    border-radius: 3px;
    transform: rotate(-25deg);
}
.attention::after {
    position: absolute;
    right: 0;
    bottom: 0;
    content: "";
    width: 1px;
    height: 50%;
    background-color: var(--primary-black);
    border-radius: 3px;
    transform: rotate(25deg);
}
@media (any-hover: hover) {
    .relatedbtn__btn li:hover .attention::before,
    .relatedbtn__btn li:hover .attention::after,
    .relatedbtn__btn4 li:hover .attention::before,
    .relatedbtn__btn4 li:hover .attention::after {
        background-color: var(--primary-navy);
        transition: background-color .3s ease;
    }
}
.pagetop__btn {
    display: inline-block;
}
.pagetop__btn--flex {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    bottom: 20px;
    right: 3%;
}
@media screen and (min-width: 1600px) {
    .pagetop__btn--flex {
        right: calc(50vw - 640px);
    }
}
.pagetop__btn p {
    text-align: center;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 500;
    transition: .3s ease;
}
.pagetop__icon {
    background-color: var(--primary-black);
    transform: rotate(-90deg);
    transition: .3s ease;
}
@media (any-hover: hover) {
    .pagetop__btn:hover p {
        color: var(--primary-blue);
        transform: translateY(-5px);
        transition: .3s ease;
    }
    .pagetop__btn:hover .pagetop__icon {
        background-color: var(--primary-blue);
        transform: translateY(-5px) rotate(-90deg);
        transition: .3s ease;
    }
}

/* 1200px */
@media screen and (max-width: 1200px) {
    .relatedbtn__btn {
        width: var(--contentWidthTop);
    }
    .relatedbtn__btn li {
        width: clamp(213px, 30%, 260px);
        min-width: auto;
    }
    .relatedbtn__btn4 {
        width: var(--contentWidth);
        flex-direction: column;
    }
    .relatedbtn__txt {
        font-size: 1.4rem;
    }
    .relatedbtn__topics {
        gap: 10px;
    }
    .relatedbtn__en,
    .relatedbtn__title {
        font-size: 1.8rem;
    }
    .relatedbtn__btn4 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        justify-content: space-between;
        align-items: stretch;
        gap: 20px
    }
    .relatedbtn__btn4 li {
        width: clamp(310px, 90%, 400px);
        min-width: auto;
        margin: 0 auto;
    }
    .relatedbtn__icon4 {
        margin-left: 5%;
    }
    .relatedbtn__item4 {
        display: flex;
        align-items: center;
        padding: 10px;
        width: 100%;
        height: 100%;
    }
    .relatedbtn__detail4{
        flex: 1;
        text-align: center;
    }
}
/* 768px*/
@media screen and (max-width: 768px) {
    .relatedbtn__btn {
        flex-direction: column;
        gap: 20px;
    }
    .relatedbtn__btn li {
        width: 100%;
        max-width: 380px;
        height: auto;
        padding: 0;
        box-sizing: border-box;
    }
    .relatedbtn__item {
        display: flex;
        align-items: center;
        padding: 10px;
        width: 100%;
    }
    .relatedbtn__detail{
        flex: 1;
        text-align: center;
    }
    .relatedbtn__icon {
        width: 60px;
        height: 60px;
        margin-left: 8%;
    }
    .relatedbtn__txt {
        margin-top: 10px;
    }
    .relatedbtn__topics {
        margin-top: 10px;
    }
    .relatedbtn__btn4 {
        width: var(--contentWidthSP);
        padding: 20px 0 80px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px
    }
    .relatedbtn__btn4 li {
        width: clamp(280px, 100%, 380px);
        margin: 0 auto;
        box-sizing: border-box;
    }
    .pagetop__btn p {
        font-size: 1.6rem;
    }
}
@media screen and (max-width: 340px) {
    .relatedbtn__icon,
    .relatedbtn__icon4 {
        width: 50px;
        height: 50px;
    }
}
/* ============
footer
=========== */
footer {
    background-image: url(../img/footer__pc.png);
    background-size: cover;
    color: white;
}
.footer--content {
    width: var(--contentWidthTop);
    margin-inline: auto;
    display: flex;
    padding: 105px 0 0; 
    justify-content: space-between;
    gap: 40px;
}
@media screen and (max-width: 1200px) {
    .footer--content {
        flex-direction: column;

    }
}
.address__logo {
    display: inline-block;
    max-width: 330px;
    aspect-ratio: 33/5;
    background-size: contain;
    transition: .3s ease;
}
@media (any-hover: hover) {
    .address__logo:hover {
        opacity: 0.8;
        transition: .3s ease;
    }
}
.footer__address {
    margin-top: 20px;
}
.address img {
    max-width: 330px;
    object-fit: contain;
}
@media screen and (max-width: 768px) {
    .address img {
    width: 100%;
    }
}
.address a[href^="tel:"] {
    font-family: Montserrat;
    font-size: 2.4rem;
    line-height: 1; /* 24px */
    margin-top: 5px;
}
.footer__notes {
    font-size: 1.2rem;
}
.footer__menu {
    width: 600px;
    margin-right: 100px;
}
.footer__nav__btn{
    display: grid;
    list-style: none;
    grid-auto-flow: column;
    grid-template-rows: repeat(3, auto);
    grid-template-columns: repeat(3, 1fr);
    gap: 15px 8.3%;
    font-weight: 500;
}
@media (any-hover: hover) {
    .footer__nav__btn li:hover {
        color: var(--primary-yellow);
        transition: color .3s ease;
    }
}
.footer__btn {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 40px;
    margin-top: 60px;
}
.footer__sns ul {
    display: flex;
    gap:5px;
}
.footer__blog {
    position: relative;
}
@media (any-hover: hover) {
    .footer__blog:hover .footer--btn__fukidashi{
        opacity: 1;
        visibility: visible;
        transform: translateX(0) translateY(0);
        transition: .4s ease;
    }
}
.footer--btn__fukidashi {
    width: 150px;
    aspect-ratio: 146/57;
    position: absolute;
    left: -55px;
    top: -40px;
    transform: translateX(10%) translateY(25%);
    opacity: 0;
    visibility: hidden;
    transition: .4s ease;
    z-index: 2;
}
.blog__btn {
    border: 3px solid var(--primary-yellow);
    border-radius: 15px;
    padding: 2px;
    box-sizing: border-box;
}
.blog__btn--content {
    background-color: var(--primary-yellow);
    display: flex;
    align-items: center;
    padding: 15px 16px;
    gap: 16px;
    border-radius: 10px;
}
.blog__btn--content p {
    color: var(--primary-black, #272833);
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: 0.54px;
}
.blog__btn--content img {
    width: 40px;
    height: 40px;
}
.copy {
    margin-top: 50px;
    padding-bottom: 30px;
    text-align: center;
    font-family: Montserrat;
    font-size: 1.2rem;
    line-height: 1; /* 12px */   
}
/* 768ｐｘ */
@media screen and (max-width: 768px) {
    footer {
        background-image: url(../img/footer__sp.png);
        background-size: cover;
    }
    .footer--content {
        padding: 150px 0 80px;
        flex-direction: column;
        align-items: center;
    }
    .address a[href^="tel:"] {
        text-decoration: 1px underline;
        text-underline-offset: 3px;
    }
    .footer__menu{
        width: 370px;
        margin: 40px auto 0;
    }
    .footer__nav__btn {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(4, 1fr);
        gap: 15px 30px;
        font-size: clamp(1.4rem, calc(16 / 375 * 100vw), 1.6rem);
    }
    .blog__btn__content p {
        font-size: 1.6rem;
    }
    .blog__btn__content img {
        width: 30px;
        height: 30px;
    }
    .footer__btn {
        flex-direction: column;
        margin-top: 24px;
    }
    .footer__sns ul {
        gap: 10px;
    }
    .footer__blog {
        margin-top: 60px;
    }
    .footer--btn__fukidashi {
        width: 120px;
        visibility: visible;
        transform: translateX(0) translateY(0);
        opacity: 1;
        top: -35px;
        left: -30px;
    }
    .copy {
        padding-bottom: 50px;
    }
}

@media screen and (max-width: 500px) {
    .footer--content {
        width: var(--contentWidthSP);
        padding: 150px 0 80px;
    }
    .footer__menu{
        width: auto;
    }
    .footer__nav__btn {
        grid-template-rows: repeat(4, auto);
        gap: 15px 20px;
    }
    /* common modifier */
    .sub__title__group--camp h2 {
        font-size: clamp(2rem, calc(22 / 375 * 100vw) , 2.3rem);
    }
}
/* fadeIn */
.fadeIn {
    transform: translate(0, 30px);
    opacity: 0;
}
.fadeIn.animated {
    transform: translate(0, 0);
    opacity: 1;
}
.fadeIn, 
.fadeIn.animated {
    transition: all 0.8s ease;
}
/* loading */
#loading {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 9999;
    transition: all 1s;
    animation: loadingbg 5s ease infinite;
}
.loading {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}
.loading::after {
    content: "";
    background-image: url(../img/loading_bg.svg);
    background-size: cover;
    background-position: center;
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    right: 0;
}
.loading__item {
    padding: 10px;
    z-index: 10;
    text-align: center;
    animation: loadingbg 5s ease infinite;
}
.loading__logo {
    width: 25vw;
    animation: loading 2s ease-in-out infinite;
}
.loading__en {
    font-family: Montserrat;
    font-size: 2vw;
    font-weight: 500;
    color: white;
    margin-top: 10px;
    display: flex;
    gap: 2px;
    justify-content: center;
    align-items: center;
    animation: loading 2s ease-in-out infinite;
}
@keyframes loading {
    0%,100% {
        opacity: 1;
    }
    45%, 50% {
        opacity: 0.7;
    }
}
@keyframes loadingbg {
    0%,100% {
        background-color: var(--primary-65pblue);
    }
    50% {
        background-color: var(--primary-40pblue);
    }
}
.loading__en span:nth-of-type(2) { 
    color: var(--primary-yellow);
}
.loaded {
    opacity: 0;
    visibility: hidden;
}
/* loading 500px */
@media screen and (max-width: 500px) {
    .loading__logo {
        width: 60vw;
        animation: loading 2s ease-in-out infinite;
    }
    .loading__en {
        font-family: Montserrat;
        font-size: 5vw;
        font-weight: 500;
        color: white;
        margin-top: 10px;
        animation: loading 2s ease-in-out infinite;
    }
}